Bug 24963 - Terminology: auto renewal, auto-renewal or autorenewal?
Summary: Terminology: auto renewal, auto-renewal or autorenewal?
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-24 09:21 UTC by Katrin Fischer
Modified: 2020-05-11 22:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives (6.48 KB, patch)
2020-05-08 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives (6.50 KB, patch)
2020-05-08 14:08 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives (6.56 KB, patch)
2020-05-08 16:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24963: (follow-up) Fix another instance (1.32 KB, patch)
2020-05-08 16:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24963: (follow-up) Fix another instance (1.37 KB, patch)
2020-05-08 17:47 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-24 09:21:18 UTC
I've encountered all three forms, plus automatic renewal in Koha and wonder, if we can pick one to standardize on? Which is the 'most correct' spelling?

- auto renewal
- auto-renewal
- autorenewal
Comment 1 Owen Leonard 2020-03-24 12:28:25 UTC
I vote "auto-renewal." It is used consistently in this article, for example: https://en.wikipedia.org/wiki/Automatic_renewal_clause
Comment 2 Holly 2020-03-25 12:38:40 UTC
I discussed this with a few colleagues and they agree that "auto-renewal" would be the most appropriate. I had a look at some of the questions submitted by our clients and "auto-renewal" seems to be the most commonly used phrase.
Comment 3 David Nind 2020-03-29 04:17:40 UTC
I'm leaning towards auto-renewal, but grammar is terrible!.

Otherwise, spell out in full as 'automatic renewal'.

Does auto-renewal create any problems with translation?
Comment 4 Katrin Fischer 2020-03-29 11:35:33 UTC
(In reply to David Nind from comment #3)
> I'm leaning towards auto-renewal, but grammar is terrible!.
> 
> Otherwise, spell out in full as 'automatic renewal'.
> 
> Does auto-renewal create any problems with translation?

What we pick doesn't matter so much as consistency. Less different spellings = less strings to translate and you can 'recognize' it as being the same thing easier.
Comment 5 Owen Leonard 2020-05-08 13:32:27 UTC
Created attachment 104597 [details] [review]
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives

This patch updates terminology in the templates so that "auto-renewal"
is used instead of "auto renewal" or "autorenewal."

To test, apply the patch and set the 'AllowPatronToControlAutorenewal'
preference to "allow patrons."

- Log in to the OPAC and view the "your account" page.
  - At the top of the "Checked out" tab you should see controls for
    turning auto-renewals on and off. The labels should be correct.
  - Turn off auto-renewals for this patron.
- In the staff interface, view the detail page for the patron you
  updated in the previous step.
  - In right-hand column of information about the patron you should see
    "Auto-renewal: Patron has opted out."
  - Add "&print=brief" to the page URL. Check that auto-renewal
    information displays correctly on this brief view as well.
- Go to Administration -> System preferences.
  - Under the "Circulation" tab, check that the description of the
    OPACFineNoRenewalsBlockAutoRenew preference refers to
    "auto-renewal."
  - Under the "Patrons" tab, check the description of the
    AllowPatronToControlAutorenewal refers to "auto-renewal."
Comment 6 Victor Grousset/tuxayo 2020-05-08 14:08:51 UTC
Created attachment 104600 [details] [review]
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives

This patch updates terminology in the templates so that "auto-renewal"
is used instead of "auto renewal" or "autorenewal."

To test, apply the patch and set the 'AllowPatronToControlAutorenewal'
preference to "allow patrons."

- Log in to the OPAC and view the "your account" page.
  - At the top of the "Checked out" tab you should see controls for
    turning auto-renewals on and off. The labels should be correct.
  - Turn off auto-renewals for this patron.
- In the staff interface, view the detail page for the patron you
  updated in the previous step.
  - In right-hand column of information about the patron you should see
    "Auto-renewal: Patron has opted out."
  - Add "&print=brief" to the page URL. Check that auto-renewal
    information displays correctly on this brief view as well.
- Go to Administration -> System preferences.
  - Under the "Circulation" tab, check that the description of the
    OPACFineNoRenewalsBlockAutoRenew preference refers to
    "auto-renewal."
  - Under the "Patrons" tab, check the description of the
    AllowPatronToControlAutorenewal refers to "auto-renewal."

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 7 Victor Grousset/tuxayo 2020-05-08 14:09:21 UTC
It works!
Comment 8 Katrin Fischer 2020-05-08 16:34:45 UTC
Created attachment 104606 [details] [review]
Bug 24963: Terminology: Use "auto-renewal" instead of alternatives

This patch updates terminology in the templates so that "auto-renewal"
is used instead of "auto renewal" or "autorenewal."

To test, apply the patch and set the 'AllowPatronToControlAutorenewal'
preference to "allow patrons."

- Log in to the OPAC and view the "your account" page.
  - At the top of the "Checked out" tab you should see controls for
    turning auto-renewals on and off. The labels should be correct.
  - Turn off auto-renewals for this patron.
- In the staff interface, view the detail page for the patron you
  updated in the previous step.
  - In right-hand column of information about the patron you should see
    "Auto-renewal: Patron has opted out."
  - Add "&print=brief" to the page URL. Check that auto-renewal
    information displays correctly on this brief view as well.
- Go to Administration -> System preferences.
  - Under the "Circulation" tab, check that the description of the
    OPACFineNoRenewalsBlockAutoRenew preference refers to
    "auto-renewal."
  - Under the "Patrons" tab, check the description of the
    AllowPatronToControlAutorenewal refers to "auto-renewal."

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Owen Leonard 2020-05-08 16:42:57 UTC
Created attachment 104607 [details] [review]
Bug 24963: (follow-up) Fix another instance

This patch corrects the second instance of "auto renewal" in the
description of the AllowPatronToControlAutorenewal system preference.
Comment 10 Victor Grousset/tuxayo 2020-05-08 17:47:01 UTC
Created attachment 104609 [details] [review]
Bug 24963: (follow-up) Fix another instance

This patch corrects the second instance of "auto renewal" in the
description of the AllowPatronToControlAutorenewal system preference.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 11 Katrin Fischer 2020-05-10 10:58:52 UTC
I made an addition to our terminology list:
https://wiki.koha-community.org/wiki/Terminology
Comment 12 Martin Renvoize 2020-05-11 09:01:09 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 David Nind 2020-05-11 11:25:16 UTC
(In reply to Katrin Fischer from comment #11)
> I made an addition to our terminology list:
> https://wiki.koha-community.org/wiki/Terminology

Thanks Katrin!
Comment 14 Joy Nelson 2020-05-11 22:38:03 UTC
does not apply to 19.11
not backported